export declare type CreateType = 'app' | 'plugin';
export declare type AppType = 'react' | 'vue';
export declare enum App {
    react_webpack_vite_app = "react_webpack_vite_app"
}
export declare enum Plugin {
    EslintReactTs = "eslint-react-ts",
    TsNodeEsm = "ts-node-esm",
    StylelintLess = "stylelint-less",
    Prettier = "prettier",
    CommitLint = "commit-lint",
    TsconfigReact = "tsconfig-react",
    BabelReactApp = "babel-react-app",
    BabelReactLibrary = "babel-react-library"
}
export declare type Source = 'repo';
export interface CreateParams {
    createType: CreateType;
    createPath?: string;
    createName?: string;
    app?: App;
    plugin?: Plugin;
}
export interface DownloadAppParams {
    createPath?: string;
    createName: string;
    appInfo: AppItem;
}
export interface AnyOptions {
    [propname: string]: any;
}
export interface AppItem {
    title: string;
    appPath: string;
    app: App;
    appType: AppType;
    source: 'repo' | 'template';
}
export interface PluginItem {
    title: string;
    plugin: Plugin;
}
export interface QuestionItem {
    type: 'input' | 'list';
    name: string;
    message: string;
    choices: string[] | {
        name: string;
        value: App | string;
    }[];
}
export interface PluginConfigJson {
    packageInfo: {
        devDependencies?: AnyOptions;
        dependencies?: AnyOptions;
        scripts?: AnyOptions;
    };
    input: {
        checkFiles: string[];
        templateFiles: string[];
        config?: AnyOptions | null;
    };
    output: {
        files: string[];
    };
}
